/*

This bit of code sets all 8 bits of the parallel port on.  Note
that your parallel port can have various addresses, the most
common being 0x378.  You need to figure out what your box uses
if it is different.

*/
#include <stdio.h>
#include <unistd.h>  /* Used by ioperm */
#include "port.h"    /* Routines written to easily access ports */
main () 
{

	/* Gain control of the ports - linux specific */
	
	if (ioperm(0x378,1,1)) {
		printf("Sorry, you were not able to gain access to the ports\n");
		printf("You must be root to run this program\n");
		exit(1);
	}

	/* Modify the value of the port */
	/* 0   is all off               */
	/* 255 is all on                */
	
	/* 
		To turn on some bits, take an 8 bit binary number

			0 0 0 0 0 0 0 0 

		For each pin you want on, make it a 1.  For example, 
		to turn on the third and eight bits (the first bit is on the right)
		
			1 0 0 0 0 1 0 0 

		Translate this binary number to decimal, and you get

			132

		This is the value you would set the port to

	*/

	port_out(0x378,255);   /* Turn on all the bits/pins */
	printf("The port is now set to : %i\n",  port_in(0x378)); /* Read the 
																 Value */

	exit(0);
}

	
	 

